Download Receipt

PDF

API to download receipt with PDF format after making prepaid transaction.
In production environment, you must whitelist your IP here to be able to download receipt.

Path

MethodPath
GETapi/download/:tr_id

Request Header

The Content-Type header in the request must be set appropriately to PDF to get the desired format of receipt.

Content-Type: application/pdf

Path Parameters

AttributesTypeDescriptionMandatory
tr_idIntegerTransaction idYes

Path Example

Path to download receipt in PDF format.

BASE_URL/api/download/123

Success PDF Receipt Response Example

The response will be receipt in PDF file format.

Failed / Pending Response

AttributesTypeDescriptionMandatory
rcStringResponse code. See response code listYes
messageStringMessageYes
statusDoubleTransaction Status. List of status:
0:PROCESS 1:SUCCESS 2:FAILED
Yes

Failed Transaction Response Example

These response indicate a failed transaction status.

{
    "data": {
        "rc": "07",
        "message": "FAILED",
        "status": 2
    }
}

Pending Transaction Response Example

These response indicate a pending transaction status.

{
    "data": {
        "rc": "39",
        "message": "PROCESS",
        "status": 0
    }
}